# Visualization
TKMeshVS
MeshVS

# MeshVS_HArray1OfSequenceOfInteger Class Reference

`#include <MeshVS_HArray1OfSequenceOfInteger.hxx>`

## Public Member Functions

Standard_EXPORT | MeshVS_HArray1OfSequenceOfInteger (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | MeshVS_HArray1OfSequenceOfInteger (const Standard_Integer Low, const Standard_Integer Up, const TColStd_SequenceOfInteger &V)
Standard_EXPORT void | Init (const TColStd_SequenceOfInteger &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TColStd_SequenceOfInteger &Value)
const TColStd_SequenceOfInteger & | Value (const Standard_Integer Index) const
TColStd_SequenceOfInteger & | ChangeValue (const Standard_Integer Index)
const MeshVS_Array1OfSequenceOfInteger & | Array1 () const
MeshVS_Array1OfSequenceOfInteger & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MeshVS_Array1OfSequenceOfInteger | myArray

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_HArray1OfSequenceOfInteger::MeshVS_HArray1OfSequenceOfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT MeshVS_HArray1OfSequenceOfInteger::MeshVS_HArray1OfSequenceOfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const TColStd_SequenceOfInteger & | V
| ) |

## Member Function Documentation

const MeshVS_Array1OfSequenceOfInteger& MeshVS_HArray1OfSequenceOfInteger::Array1 | ( |  | ) | const

MeshVS_Array1OfSequenceOfInteger& MeshVS_HArray1OfSequenceOfInteger::ChangeArray1 | ( |  | ) |

TColStd_SequenceOfInteger& MeshVS_HArray1OfSequenceOfInteger::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const MeshVS_HArray1OfSequenceOfInteger::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MeshVS_HArray1OfSequenceOfInteger::Init | ( | const TColStd_SequenceOfInteger & | V | ) |

Standard_Integer MeshVS_HArray1OfSequenceOfInteger::Length | ( |  | ) | const

Standard_Integer MeshVS_HArray1OfSequenceOfInteger::Lower | ( |  | ) | const

void MeshVS_HArray1OfSequenceOfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const TColStd_SequenceOfInteger & | Value
| ) |

Standard_Integer MeshVS_HArray1OfSequenceOfInteger::Upper | ( |  | ) | const

const TColStd_SequenceOfInteger& MeshVS_HArray1OfSequenceOfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

MeshVS_Array1OfSequenceOfInteger MeshVS_HArray1OfSequenceOfInteger::myArray `[private]`

The documentation for this class was generated from the following file:

- MeshVS_HArray1OfSequenceOfInteger.hxx